PipeWire 1.4.5 |

Loading...
Searching...
No Matches
Data Fields
spa_video_colorimetry Struct Reference
SPA » Parameters

spa_video_colorimetry: More...

`#include <spa/param/video/color.h>`

## Data Fields
enum spa_video_color_range | range
| The color range.
enum spa_video_color_matrix | matrix
| the color matrix.
enum spa_video_transfer_function | transfer
| The transfer function.
enum spa_video_color_primaries | primaries
| Color primaries.

## Detailed Description

spa_video_colorimetry:

Structure describing the color info.

## Field Documentation

## ◆ range

enum spa_video_color_range spa_video_colorimetry::range

The color range.

This is the valid range for the samples. It is used to convert the samples to Y'PbPr values.

## ◆ matrix

enum spa_video_color_matrix spa_video_colorimetry::matrix

the color matrix.

Used to convert between Y'PbPr and non-linear RGB (R'G'B')

## ◆ transfer

enum spa_video_transfer_function spa_video_colorimetry::transfer

The transfer function.

Used to convert between R'G'B' and RGB

## ◆ primaries

enum spa_video_color_primaries spa_video_colorimetry::primaries

Color primaries.

Used to convert between R'G'B' and CIE XYZ

The documentation for this struct was generated from the following file:

- spa/param/video/color.h